MKNOD(1)

NAZWA
mknod - tworzy pliki specjalne: blokowe lub znakowe

SKŁADNIA
mknod [OPCJA]... NAZWA TYP [NR-GŁÓWNY NR-POBOCZNY]

OPIS

Tworzy pliki specjalne o podanej NAZWIE i TYPIE

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-m, --mode=TRYB
    ustawia TRYB uprawnień, zamiast domyślnego a=rw minus bity ustawione w umask

-Z  ustawia kontekst bezpieczeństwa SELinux na domyślny

--context=KONTEKST
    jak -Z lub jeśli poda się KONTEKST - ustawia kontekst bezpieczeństwa SELinux lub SMACK na KONTEKST

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeśli TYP jest jednym z: b, c lub u musi zostać podany zarówno NR-GŁÓWNY (major) jak i NR-POBOCZNY (minor). Oba numery muszą zostać pominięte przy TYPIE p. Jeśli NR-GŁÓWNY lub NR-POBOCZNY zaczyna się od 0x lub 0X, to jest interpretowany jako liczba szesnastkowa, w przeciwnym wypadku jest uznawany za liczbę dziesiętną. TYP może być jednym z:

b   tworzy specjalny plik blokowy (buforowany)

c, u
    tworzy specjalny plik znakowy (niebuforowany)

p   tworzy potok nazwany (FIFO)

UWAGA: aktualnie używana powłoka może posiadać swoją wersję mknod, która z reguły przesłania wersję opisaną w niniejszym podręczniku. Proszę zapoznać się z dokumentacją używanej powłoki, aby dowiedzieć się szczegółów o obsługiwanych opcjach. Aby wywołać opisaną tu wersję, można użyć polecenia env tzn. env mknod ....

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
mknod(2)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/mknod>
lub lokalnie, za pomocą info '(coreutils) mknod invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.